> ## Documentation Index
> Fetch the complete documentation index at: https://mint-a324815e.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新地址信息

##### 更新地址相关信息

### 接入API

##### POST /api/v1/address/update

### 请求

#### 请求参数

| 名称 | 类型 | 是否必须 | 描述 |
| :- | :- | :- | :- |
| address | string | 是 | 需要更新的项目地址 |
| callback\_url | string | 否 | 回调地址 【callback\_url、alias、status至少填写一项】 |
| alias | string | 否 | 地址显示名称 【callback\_url、alias、status至少填写一项】 |
| status | string | 否 | 地址状态【0-启用状态 1-禁用状态】【callback\_url、alias、status至少填写一项】 |
| pid | integer(int64) | 是 | 项目编号 |
| nonce | string | 是 | 6位随机字符串 |
| timestamp | integer(int64) | 是 | 时间戳 |
| sign | string | 是 | 签名 |

##### 请求示例

```bash theme={null}
{
    "address":"TAxmdDrQGzW37nm1xH4NXXfff2tUTaTecR",
    "callback_url": "http://xxx.com/address/callback",
    "alias": "地址更新操作",
    "status": "1",
    "pid": 1382528827416576,
    "nonce": "hwlkk6",
    "timestamp": 1688004243314,
    "sign": "d6eef2de79e39f434a38efb910213ba6"
}
```

### 返回

#### 返回结果

| 名称 | 类型 | 描述 |
| :- | :- | :- |
| code | string | 返回码 |
| msg | string | 返回信息 |
| data | object | 返回数据 |

##### 返回示例

```bash theme={null}
{
    "code": "00000",
    "msg": "ok",
    "data": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.